Subject: Re: git rebase --interactive squash/squish/fold/rollup

From: Paolo Bonzini <[email-masked]>
Date: Wed, 17 Jun 2009 18:48:35 +0200

> So I can see why a variant of "squash" that does not change (nor even ask
> for a replacement of) the commit log message from the one that is being
> amended could be useful.

One way could be to have arguments to squash in a way that was proposed 
for the sequencer GSOC project last year.  For example,

commit 123456
squash -C HEAD abcdef

would just proceed with the commit of HEAD, and since squash is 
basically apply-to-index + commit, the HEAD would still be 123456.

Paolo